import classes from './styles.module.scss';
import Candidate from '../../Candidate';
import SpotsRemaining from '../../SpotsRemaining';
const Winner = function Winner(props) {
  const {
    candidatesToShow,
    contestId
  } = props;
  return <span className={classes.container}>
      {candidatesToShow.map(candidateId => <Candidate key={candidateId} candidateId={candidateId} contestId={contestId} />)}
      <SpotsRemaining contestId={contestId} callType="winner" />
    </span>;
};
export default Winner;