import { useResultsTableFormatContext } from "../../../../ResultsTable/context/index.js";
import { IfActive } from "../../../../../application/index.js";
import classnames from 'classnames';
import classes from './styles.module.scss';
import gridStyles from '../../../grid.module.scss';
const ResultsHeader = function ResultsHeader() {
  const {
    showVotes,
    size
  } = useResultsTableFormatContext();
  return <div className={classnames(classes.container, gridStyles.grid, gridStyles[size])}>
      <span>Candidates</span>
      <IfActive active={showVotes}>
        <span className={classes.votes}>Votes</span>
      </IfActive>
      <span className={classes.pct}>Percent</span>
    </div>;
};
export default ResultsHeader;